<?php

namespace App\Entities\Customer\Wallet;

use App\Models\Customer\Wallet\AccountModel;

class AccountEntity extends WalletEntity
{
    const PK    = AccountModel::PK;
    const TITLE = AccountModel::TITLE;
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
        $this->attributes['bank'] = '';
        $this->attributes['alias'] = '';
        $this->attributes['issue_at'] = '';
    }
    //기본기능
    public function getBank(): string
    {
        return $this->attributes['bank'] ?? '';
    }
    public function getAlias(): string
    {
        return $this->attributes['alias'] ?? '';
    }
    public function getIssueAt(): string
    {
        return $this->attributes['issue_at'] ?? '';
    }
}
